List Container Registry Auth
curl --request GET \
--url https://api.novita.ai/gpu-instance/openapi/v1/repository/auths \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.novita.ai/gpu-instance/openapi/v1/repository/auths"
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'}
};
fetch('https://api.novita.ai/gpu-instance/openapi/v1/repository/auths', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"username": "<string>",
"password": "<string>"
}
]
}Image Registry
List Container Registry Auth
GET
/
gpu-instance
/
openapi
/
v1
/
repository
/
auths
List Container Registry Auth
Request Headers
Enum:
application/jsonBearer authentication format, for example: Bearer {{API Key}}.
Response
Example
Requestcurl --request GET \
--url 'https://api.novita.ai/gpu-instance/openapi/v1/repository/auths' \
--header 'Authorization: Bearer {{API Key}}'
{
"data": [
{
"id": "75irlsvvsehnqdajg2r481mjk54ecodc",
"name": "test",
"username": "uuuu",
"password": "1111"
},
{
"id": "eih4rdk77avum5lyau291w1i54zd897w",
"name": "test",
"username": "uuuu",
"password": "1111"
}
]
}
Last modified on December 23, 2024
Was this page helpful?
āI